<h1>WPSSO Core</h1><h3>Complete and Accurate Meta Tags + Schema Markup for Social Shares and SEO</h3>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO Core [Main Plugin]</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Automatically create complete meta tags + Schema markup from your content for Social Sharing, Google Rich Cards (SEO), Pinterest Rich Pins &amp; more.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>3.57.1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires At Least</th><td>WordPress 3.8</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To</th><td>WordPress 4.9.5</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>meta tags, open graph, facebook, sharing, schema, share, seo, twitter cards, pinterest, local business, woocommerce, product, knowledge graph</td></tr>
</table>

<h2>Description</h2>

<p><img class="readme-icon" src="https://surniaulula.github.io/wpsso/assets/icon-256x256.png"></p>

<p><strong>Stop messing around with Schema markup and manually updating social meta data. Save time and boost your social shares and SEO with WPSSO, the only WordPress solution to automatically generate meta tags <em>and</em> Schema markup.</strong></p>

<p>WPSSO analyzes your existing site content to create complete and accurate meta tags for all the popular social media platforms, as well as <a href="https://schema.org/">Schema.org</a> markup for Pinterest and search engines.</p>

<p>Not only will using WPSSO significantly improve how your content is displayed in search results and on social platforms, but it will make it easier for people to find you.</p>

<!--smp-ignore-->

<p><strong>We've got all your bases covered with WPSSO. Want more? <a href="https://wpsso.com/extend/plugins/wpsso/?utm_source=wpsso-readme">Upgrade to WPSSO Core Pro</a> for even more advanced features.</strong></p>

<!--/smp-ignore-->

<h3>Why Use WPSSO?</h3>

<p>WPSSO takes the tedious work out of manually updating titles, descriptions and images for your Facebook and Twitter posts, and other social platforms.</p>

<p>It also combs through your site, generating titles, descriptions, hashtags, image, and Knowledge Graph markup, ensuring your content always looks its best in search results. WPSSO Core Pro and its Pro add-ons also integrate with 3rd party plugins to provide video, eCommerce product and local business markup, reviews, recipe, event information and more.</p>

<p>Simply activate the plugin, fill in the essential settings for your site and social accounts, and WPSSO will take care of the rest. You'll never have to worry about how your social posts and search engine results look ever again.</p>

<h4>What is Social Meta Data?</h4>

<p>Facebook Open Graph, Twitter Cards and Pinterest Rich Pins provide site owners a way to control how your content looks on these platforms. This means thumbnail, title, and description information is pulled from your webpage and displayed on these social sites.</p>

<h4>What is Schema Markup?</h4>

<p>Back in 2015, Google, Bing and Yahoo got together to create <a href="https://schema.org/">Schema.org</a>, a collection of Schema to help site owners control how their content looks in search. In other words, code that site owners can use to tell search engines what to do with the data on your website.</p>

<p>Web pages that have Schema markup display as rich snippets in Google, complete with extra information such as reviews with star ratings and images. With WPSSO Core Pro, you can also display event and business information and product information, like prices, availability, condition, etc.</p>

<h3>Does Your Content Look Great in Social and Search?</h3>

<p>What do your posts look like on Facebook? Are your reviews optimized for Google and include star ratings? Do your tweets pull in images?</p>

<p>If you're overlooking these not-so-minor details, you could be missing out on valuable clicks and conversions.</p>

<p>We all know the benefits of publishing and scheduling content. But if your titles are boring, descriptions dull, and images too small or non-existent, users will simply scroll past and click through to your competitor.</p>

<p><strong>WPSSO is the only plugin that offers quality control features for meta tags and schema, checking for:</strong></p>

<ul>
<li>Minimum and maximum image dimensions and aspect ratios.</li>
<li>Shows notices for missing and required images.</li>
<li>Verifies front-end web pages for duplicate meta tags.</li>
<li>Validates theme header templates for correct HTML markup.</li>
<li>Warns of any missing PHP modules essential for proper markup.</li>
<li>Inspects third party plugins settings for possible conflicts.</li>
</ul>

<h3>Users Love WPSSO Core</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "Yoast on steroids! As an SEO marketer, I love using Yoast for my basic on-page SEO. But Yoast only allows you to enter basic Open Graph social settings. This plugin gives you SO many more options on completing the Open Graph for Facebook, Twitter cards, Pinterest etc. If you use WordPress, I totally recommend using this SEO plugin to help with better rankings in the SERPS!" - <a href="https://wordpress.org/support/topic/yoast-on-steroids/">gregmontag</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "The plugin is indispensable to me when it comes to posting on social media... it makes it so that your posts look the best that they possible can every time when posting on Facebook, Twitter, or any other site." - <a href="https://wordpress.org/support/topic/this-is-probably-the-best-plugin-of-its-kind/">monsuirette</a></p>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "I've tried a number of WP SEO platforms and find this to be the most relevant and most completely thought-out platform for maximising web and social search results and presentation. Really impressed. Great support too!" - <a href="https://wordpress.org/support/topic/best-seo-platform-on-the-market/">pixmoto</a></p>

<h3>WPSSO Core Features</h3>

<ul>
<li>Automatically creates complete meta tags for Facebook Open Graph, Google Plus, Twitter Cards, LinkedIn, Pinterest Rich Pins and more in the head section of all web pages, including custom post types, terms, profile pages, and attachment pages.</li>
<li>Adds structured data Schema markup for Google.</li>
<li>Adds author, publisher and website Schema markup for Google Search and Knowledge Graph, including markup for the Google's sitelinks searchbox.</li>
<li>Adds all available Twitter Card meta tags.</li>
<li>Configurable title and description maximum lengths (Facebook Open Graph, Twitter Card and SEO) including both hard and soft limits.</li>
<li>Configurable website and business social accounts for Schema markup and Google's Knowledge Graph.</li>
<li>Adds Weibo meta tags for article creation and updates dates.</li>
<li>Support for Accelerated Mobile Pages (AMP) and AMP for WP – Accelerated Mobile Pages plugins.</li>
<li>Lets you manage robots noindex, nofollow, noarchive, and nosnippet for each post/page.</li>
<li>Finds images from several sources, including featured, attached, gallery shortcode, HTML tags in the content, and lets you add a custom fallback image.</li>
<li>Customizable images dimensions.</li>
<li>Option to hide the preview of all Pro options and features.</li>
<li>Supports WordPress Multisite and WordPress MU Domain Mapping.</li>
<li>Weekly updates.</li>
</ul>

<h3>Upgrade to Pro for Premium Features</h3>

<p>WPSSO Core Pro gives you the power to further integrate and customize your meta tags and Schema markup with third party plugins and APIs.</p>

<ul>
<li>Social and SEO metabox for posts, pages, custom post types and user profiles – Customize article topic, title, description and image/video.</li>
<li>Integrates with SEO plugins, including Yoast SEO.</li>
<li>Optionally validate all image minimum and maximum dimensions and aspect ratios.</li>
<li>Optionally upscale smaller images for social sharing and Schema markup – a maximum upscale percentage can also be selected.</li>
<li>Support for embedded videos in content text (iframe and object HTML markup).</li>
<li>Fully renders content (including shortcodes) for accurate description texts and embedded video detection.</li>
<li>Additional Facebook, Open Graph and Rich Pin meta tags and Schema markup for videos and eCommerce products.</li>
<li>Twitter Player Card meta tags for embedded videos from Facebook, Slideshare, Vimeo, Wistia, and Youtube.</li>
<li>Include or exclude individual Facebook, Open Graph, Google, SEO, Twitter Card and Schema meta tags from head section of web pages.</li>
<li>Customize field names, label, and add or remove contacts on user profile pages and co-authors plus guest author profiles.</li>
<li>Optional URL shortening with Bitly, Google, Ow.ly, TinyURL, or YOURLS.</li>
<li>Integrates with third party plugins and services for additional image, video, eCommerce product details, SEO settings, etc.</li>
</ul>

<h3>Documentation and Support</h3>

<p>We provide extensive documentation to help you get started and make the most of WPSSO:</p>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/?utm_source=wpsso-readme">Documentation</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/?utm_source=wpsso-readme">Installation and Setup</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/?utm_source=wpsso-readme">Frequently Asked Questions</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/?utm_source=wpsso-readme">Developer Resources</a></li>
</ul>

<p><strong>WPSSO also includes extensive contextual in-plugin help.</strong></p>

<p>We're here to help and answer any questions you may have:</p>

<ul>
<li><a href="https://wordpress.org/support/plugin/wpsso">WordPress.org Support</a></li>
<li><a href="http://wpsso.support.wpsso.com">Premium Support</a> (available for Pro users only)</li>
</ul>

<h3>Developer-Friendly</h3>

<ul>
<li>Uses all available caching techniques (persistent / non-persistent object and disk caching), and creates cache objects in background to pre-seed the transient cache.</li>
<li>Only uses required PHP library files and object classes, keeping code small, fast, and light.</li>
<li>All code is fully tested and compatible with PHP v7.x (PHP v5.4 or better required).</li>
<li>Advanced meta tag / JSON-LD markup filter hooks – WPSSO offers hundreds of filter hooks to easily customize the plugin’s behavior and output.</li>
<li>Dozens of third party integration modules available in WPSSO Core Pro and its Pro add-ons.</li>
<li>Free and Pro add-ons available to extend the WPSSO Core plugin.</li>
</ul>

<h3>WPSSO Core Add-ons</h3>

<h4>Free Add-ons</h4>

<ul>
<li><a href="https://wordpress.org/plugins/wpsso-am/">WPSSO Mobile App Meta</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-organization/">WPSSO Organization Markup</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-plm/">WPSSO Place / Location and Local Business Meta</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-ratings-and-reviews/">WPSSO Ratings and Reviews</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-rrssb/">WPSSO Ridiculously Responsive Social Sharing Buttons</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-breadcrumbs/">WPSSO Schema Breadcrumbs Markup</a> &mdash; <em>recommended for best SEO</em></li>
<li><a href="https://wordpress.org/plugins/wpsso-schema-json-ld/">WPSSO Schema JSON-LD Markup</a> &mdash; <em>recommended for best SEO</em></li>
<li><a href="https://wordpress.org/plugins/wpsso-ssb/">WPSSO Social Sharing Buttons</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-strip-schema-microdata">WPSSO Strip Schema Microdata</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-tune-image-editors">WPSSO Tune WP Image Editors</a> &mdash; <em>recommended for best social images</em></li>
<li><a href="https://wordpress.org/plugins/wpsso-tweet-a-quote">WPSSO Tweet a Quote</a></li>
<li><a href="https://wordpress.org/plugins/wpsso-user-locale">WPSSO User Locale Selector</a></li>
</ul>

<h4>Premium Add-ons</h4>

<ul>
<li><a href="https://wpsso.com/extend/plugins/wpsso-am/?utm_source=wpsso-readme">WPSSO Mobile App Meta Pro</a></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-organization/?utm_source=wpsso-readme">WPSSO Organization Markup Pro</a></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-plm/?utm_source=wpsso-readme">WPSSO Place / Location and Local Business Meta Pro</a></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-rrssb/?utm_source=wpsso-readme">WPSSO Ridiculously Responsive Social Sharing Buttons Pro</a></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-schema-json-ld/?utm_source=wpsso-readme">WPSSO Schema JSON-LD Markup Pro</a> &mdash; <em>recommended for best SEO</em></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-ssb/?utm_source=wpsso-readme">WPSSO Social Sharing Buttons Pro</a></li>
<li><a href="https://wpsso.com/extend/plugins/wpsso-tune-image-editors/?utm_source=wpsso-readme">WPSSO Tune WP Image Editors Pro</a> &mdash; <em>recommended for best social images</em></li>
</ul>


<h2>Installation</h2>

<h3>Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/install-the-plugin/?utm_source=wpsso-readme">Install the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/?utm_source=wpsso-readme">Integration Notes</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/integration/buddypress-integration/?utm_source=wpsso-readme">BuddyPress Integration</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/uninstall-the-plugin/?utm_source=wpsso-readme">Uninstall the WPSSO Core Plugin</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/performance-tuning/?utm_source=wpsso-readme">Performance Tuning</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/debugging-and-problem-solving/?utm_source=wpsso-readme">Debugging and Problem Solving</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/developer-special-buy-one-get-one-free/?utm_source=wpsso-readme">Developer Special - Buy one, Get one Free</a></li>
</ul>

<h3>Plugin Setup</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/installation/a-setup-guide/?utm_source=wpsso-readme">A Setup Guide for WPSSO</a></li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3>Frequently Asked Questions</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/can-i-use-the-pro-version-on-multiple-websites/">Can I use the Pro version on multiple websites?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/does-linkedin-read-the-open-graph-meta-tags/">Does LinkedIn read the Open Graph meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/doesnt-an-seo-plugin-cover-that/">Doesn't an SEO plugin cover that?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-exclude-ignore-certain-parts-of-the-content-text/">How can I exclude / ignore certain parts of the content text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-err_too_many_redirects-error/">How can I fix a ERR_TOO_MANY_REDIRECTS error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-a-php-fatal-out-of-memory-error/">How can I fix a PHP fatal "out of memory" error?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-fix-an-http-error-when-uploading-images/">How can I fix an "HTTP error" when uploading images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-have-smaller-dimensions-for-the-default-image/">How can I have smaller dimensions for the default image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-see-what-the-facebook-crawler-sees/">How can I see what the Facebook crawler sees?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-can-i-share-a-single-nextgen-gallery-image/">How can I share a single NextGEN Gallery image?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-attach-an-image-without-showing-it-on-the-webpage/">How do I attach an image without showing it on the webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-google-structured-data-hatom-errors/">How do I fix Google Structured Data &gt; hatom errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-fix-my-themes-front-page-pagination/">How do I fix my theme's front page pagination?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-install-the-wpsso-pro-version/">How do I install the WPSSO Core Pro version?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-do-i-remove-duplicate-meta-tags/">How do I remove duplicate meta tags?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-images/">How does WPSSO Core find / detect / select images?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/how-does-wpsso-find-detect-select-videos/">How does WPSSO Core find / detect / select videos?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/w3c-says-there-is-no-attribute-property/">W3C says "there is no attribute 'property'"</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/what-is-the-difference-between-the-free-and-pro-versions/">What is the difference between the Free and Pro versions?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-are-some-html-elements-missing-misaligned-different/">Why are some HTML elements missing / misaligned / different?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-play-videos-instead-of-linking-them/">Why does Facebook play videos instead of linking them?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-facebook-show-the-wrong-image-text/">Why does Facebook show the wrong image / text?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-does-google-structured-data-testing-tool-show-errors/">Why does Google Structured Data Testing Tool show errors?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-dont-my-twitter-cards-show-on-twitter/">Why don't my Twitter Cards show on Twitter?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-is-the-open-graph-title-the-same-for-every-webpage/">Why is the Open Graph title the same for every webpage?</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/faqs/why-shouldnt-i-upload-small-images-to-the-media-library/">Why shouldn't I upload small images to the Media library?</a></li>
</ul>


<h2>Other Notes</h2>

<h3>Other Notes</h3>
<h3>Additional Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/">About WPSSO Core Pro Integration Modules</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/author-gravatar/">Author Gravatar</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/co-author-plus/">Co-Author Plus</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/easy-digital-downloads/">Easy Digital Downloads</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/facebook-slideshare-vimeo-wistia-youtube-video-apis/">Facebook, Slideshare, Vimeo, Wistia, Youtube Video APIs</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/headspace2-seo/">HeadSpace2 SEO</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/nextcellent-gallery-and-nextgen-gallery/">NextCellent Gallery and NextGEN Gallery</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/polylang/">Polylang</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/the-events-calendar/">The Events Calendar</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/woocommerce/">WooCommerce</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/wordpress-rest-api-v2/">WordPress REST API version 2</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/modules/yoast-seo-aka-wordpress-seo/">Yoast SEO (aka WordPress SEO)</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/contact-information/">Contact Information and Feeds</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/">Constants</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/constants/all/">All Constants</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/all/">All Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/add-schema-aggregaterating-meta-tags/">Add Schema aggregateRating Meta Tags</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/define-a-custom-post-type-cpt-as-a-product/">Define a Custom Post Type (CPT) as a Product</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/detect-youtube-url-links-as-videos/">Detect YouTube URL Links as Videos</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-articletag-keywords-names/">Modify the "article:tag" Keywords / Names</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-default-topics-list/">Modify the Default Article Topics List</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-home-page-title-for-facebook-open-graph/">Modify the Home Page Title for Facebook / Open Graph</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/modify-the-sharing-url/">Modify the Sharing URL</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/read-import-yoast-seo-social-meta/">Read / Import Yoast SEO Social Meta</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/remove-hentry-from-theme-templates/">Remove / Fix 'hentry' Errors in your Theme Templates</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/strip-additional-shortcodes/">Strip Additional Shortcodes</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/use-the-request_uri-for-post-urls/">Use the REQUEST_URI for Post URLs</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/examples/working-with-pre-defined-meta-tags-and-custom-post-types/">Working with Pre-defined Meta Tags and Custom Post Types</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/">Filters by Category</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/head/">Head Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/media/">Media Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/open-graph/">Facebook / Open Graph Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/twitter-card/">Twitter Card Filters</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/by-category/webpage/">Webpage Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/filters/other/">Other Filters</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/developer/the-mod-variable/">The $mod Variable</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/inline-variables/">Inline Variables</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso/notes/multisite-network-support/">Multisite / Network Support</a></li>
</ul>

